# VariantComponentSpec

@Incubating
interface VariantComponentSpec : ComponentSpec, VariantComponent

Represents a component spec that is made up of one or more mutually exclusive variants.

#### Inheritors

PlatformAwareComponentSpec
GeneralComponentSpec

## Functions

getBinaries
Link copied to clipboard
abstract fun getBinaries(): ModelMap<BinarySpec>
The variants produced for this component spec.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
getVariants
Link copied to clipboard
abstract fun getVariants(): Iterable<out Binary>